## silo-llnl 4.11

=== SiloWindows/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# SiloWindows/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) 1994-2016 Lawrence Livermore National Security, LLC.
# LLNL-CODE-425250.
# All rights reserved.
# 
# This file is part of Silo. For details, see silo.llnl.gov.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the disclaimer below.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the disclaimer (as noted
#      below) in the documentation and/or other materials provided with
#      the distribution.
#    * Neither the name of the LLNS/LLNL nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
# 
# THIS SOFTWARE  IS PROVIDED BY  THE COPYRIGHT HOLDERS  AND CONTRIBUTORS
# "AS  IS" AND  ANY EXPRESS  OR IMPLIED  WARRANTIES, INCLUDING,  BUT NOT
# LIMITED TO, THE IMPLIED  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A  PARTICULAR  PURPOSE ARE  DISCLAIMED.  IN  NO  EVENT SHALL  LAWRENCE
# LIVERMORE  NATIONAL SECURITY, LLC,  THE U.S.  DEPARTMENT OF  ENERGY OR
# CONTRIBUTORS BE LIABLE FOR  ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR  CONSEQUENTIAL DAMAGES  (INCLUDING, BUT NOT  LIMITED TO,
# PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS  OF USE,  DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER  IN CONTRACT, STRICT LIABILITY,  OR TORT (INCLUDING
# NEGLIGENCE OR  OTHERWISE) ARISING IN  ANY WAY OUT  OF THE USE  OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# This work was produced at Lawrence Livermore National Laboratory under
# Contract No.  DE-AC52-07NA27344 with the DOE.
# 
# Neither the  United States Government nor  Lawrence Livermore National
# Security, LLC nor any of  their employees, makes any warranty, express
# or  implied,  or  assumes  any  liability or  responsibility  for  the
# accuracy, completeness,  or usefulness of  any information, apparatus,
# product, or  process disclosed, or  represents that its use  would not
# infringe privately-owned rights.
# 
# Any reference herein to  any specific commercial products, process, or
# services by trade name,  trademark, manufacturer or otherwise does not
# necessarily  constitute or imply  its endorsement,  recommendation, or
# favoring  by  the  United  States  Government  or  Lawrence  Livermore
# National Security,  LLC. The views  and opinions of  authors expressed
# herein do not necessarily state  or reflect those of the United States
# Government or Lawrence Livermore National Security, LLC, and shall not
#
# Makefile.am --- automake input file for SiloWindows directory
#
#
# Modifications:
#   Mark C. Miller, Tue Aug  3 17:24:43 PDT 2010
#   Ensure a number of silo project files were included.
#
#   Kathleen Bonnell, Fri Dec 10 10:02:09 PST 2010
#   Add silodiff.bat, browser.vcxproj
#
#   Kathleen Bonnell, Thu Mar 3 10:38:05 PST 2011
#   Add MSVC2012 project files.
#
#   Kathleen Bonnell, Thu Mar 3 10:38:05 PST 2011
#   Remove MSVC2012 and MSVC2010 project files. Add MSVC2012 project files.

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/silo
pkgincludedir = $(includedir)/silo
pkglibdir = $(libdir)/silo
pkglibexecdir = $(libexecdir)/silo
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = SiloWindows
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ax_check_compiler_flags.m4 \
	$(top_srcdir)/config/ax_have_qt.m4 \
	$(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 \
	$(top_srcdir)/config/vl_lib_readline.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /g/g11/miller86/silo/trunk/config/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /g/g11/miller86/silo/trunk/config/missing autoconf
AUTOHEADER = ${SHELL} /g/g11/miller86/silo/trunk/config/missing autoheader
AUTOMAKE = ${SHELL} /g/g11/miller86/silo/trunk/config/missing automake-1.15
AWK = gawk
BROWSER = browser
BUNDLE_TARGET = 
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FULLPATH = /usr/tce/packages/gcc/gcc-6.1.0/bin/gcc
CFLAGS = -g -m64 -fPIC -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement
CONFIG_CMD = ./configure 'CXX=g++' 'CC=gcc' 'FC=gfortran' 'F77=gfortran' 'CFLAGS=-g -m64 -fPIC' 'CXXFLAGS=-g -m64 -fPIC' 'LDFLAGS=-ldl -lm' '--with-szlib=/usr/gapps/silo/szip/2.1/toss_3_x86_64' '--with-hdf5=/usr/gapps/silo/hdf5/1.8.16/toss_3_x86_64/include,/usr/gapps/silo/hdf5/1.8.16/toss_3_x86_64/lib' '--enable-hzip' '--enable-fpzip' '--enable-zfp' '--enable-silex' '--enable-pythonmodule' '--enable-shared' '--enable-install-lite-headers' '--enable-json' '--prefix=/g/g11/miller86/silo/trunk/myinstall'
CONFIG_DATE = Thu Sep  9 20:22:21 PDT 2021
CONFIG_USER = miller86@surface86
CPP = gcc -E
CPPFLAGS = -I/usr/gapps/silo/hdf5/1.8.16/toss_3_x86_64/include 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -m64 -fPIC
CXX_FULLPATH = /usr/tce/packages/gcc/gcc-6.1.0/bin/g++
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
F77 = gfortran
FC = gfortran
FCFLAGS = -g -O2
FCLIBS =  -L/usr/tce/packages/gcc/gcc-6.1.0/lib64/gcc/x86_64-pc-linux-gnu/6.1.0 -L/usr/tce/packages/gcc/gcc-6.1.0/lib64/gcc/x86_64-pc-linux-gnu/6.1.0/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/tce/packages/gcc/gcc-6.1.0/lib64/gcc/x86_64-pc-linux-gnu/6.1.0/../../../../x86_64-pc-linux-gnu/lib -L/usr/tce/packages/gcc/gcc-6.1.0/lib64/gcc/x86_64-pc-linux-gnu/6.1.0/../../.. -ldl -lgfortran -lm -lquadmath
FC_FULLPATH = /usr/tce/packages/gcc/gcc-6.1.0/bin/gfortran
FFLAGS = -g -O2
FGREP = /usr/bin/grep -F
FORTRAN = fortran
FPZIP = fpzip
GREP = /usr/bin/grep
HDF5_DRV = hdf5_drv
HZIP = hzip
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JSON = json
LD = /usr/tce/packages/gcc/gcc-6.1.0/bin/ld -m elf_x86_64
LDFLAGS = -L/usr/gapps/silo/hdf5/1.8.16/toss_3_x86_64/lib -L/usr/gapps/silo/szip/2.1/toss_3_x86_64/lib -ldl -lm -L/usr/gapps/silo/szip/2.1/toss_3_x86_64/lib
LIBM = -lm
LIBOBJS = 
LIBS = -lhdf5 -lsz -lsz -lz  -lm -lsz
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAINT = #
MAKEINFO = ${SHELL} /g/g11/miller86/silo/trunk/config/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NETCDF = netcdf
NM = /usr/tce/packages/gcc/gcc-6.1.0/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = silo
PACKAGE_BUGREPORT = visit-users@elist.ornl.gov
PACKAGE_NAME = silo
PACKAGE_STRING = silo 4.11
PACKAGE_TARNAME = silo
PACKAGE_URL = 
PACKAGE_VERSION = 4.11
PATH_SEPARATOR = :
PDBP_DRV = 
PDB_DRV = pdb_drv
PYTHON = /usr/tce/bin/python
PYTHONMODULE = python
PYTHON_CPPFLAGS = -I/usr/tce/packages/python/python-2.7.16/include/python2.7
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
