=== debian/changelog ===
silo-llnl (4.11-3) unstable; urgency=medium

  * Fix for FTBFS with g++12. Closes: #1017240
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Sep 2022 15:09:57 +0100

silo-llnl (4.11-2) unstable; urgency=medium

  * Add build-dep on libpython3-all-dev for python3.10 builds.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Nov 2021 14:11:15 +0000

silo-llnl (4.11-1) unstable; urgency=medium

  * New upstream release
    - security-fix.patch merged upstream
    - remove-mpiposix.patch unneeded
    - qt5.patch dropped
    - python3 patches now upstream
  * Update version-script.patch for 4.11
  * Drop obsole qt4-dev-tools conflict
  * Standards-Version: 4.6.0
  * Now configure with CC=mpicc not mpicc++; mpic++ no longer needed for
    Qt to compile, and it breaks Fortran tests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Oct 2021 16:53:49 +0100
