=== debian/control ===
Source: silo-llnl
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  dh-sequence-python3,
  libreadline-dev, 
  libhdf5-mpi-dev | libhdf5-dev, 
  zlib1g-dev, 
  libaec-dev,
  libfpzip-dev [ !i386 !armel !armhf !mipsel  !hurd-i386 !hppa !powerpc !kfreebsd-i386 !x32],
  python3-all-dev, 
  libpython3-all-dev,
  gfortran | fortran-compiler, 
  chrpath, 
  mpi-default-dev, 
  autoconf-archive, 
  qtbase5-dev, 
  qtchooser
Standards-Version: 4.6.1
Homepage:  https://wci.llnl.gov/simulation/computer-codes/silo/
Vcs-Browser: https://salsa.debian.org:/science-team/silo-llnl.git
Vcs-Git: https://salsa.debian.org:/science-team/silo-llnl.git -b  debian/latest

Package: libsilo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (= ${binary:Version})
Description: Development files for SILO Scientific I/O library from LLNL
 Silo is a library for reading and writing a wide variety of scientific data to 
 binary, disk files. The files Silo produces and the data within them can be 
 easily shared and exchanged between wholly independently developed applications 
 running on disparate computing platforms. Consequently, Silo facilitates the 
 development of general purpose tools for processing scientific data. 
 One of the more popular tools that process Silo data files is the 
 VisIt visualization tool.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo 
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes, 
 constructive solid geometry (CSG) meshes, piecewise-constant 
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables 
 defined on the node, edge, face or volume elements of meshes as well as 
 the decomposition of meshes into arbitrary subset hierarchies including 
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application 
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.
 . 
 Architecturally, the library is divided into two main pieces; an upper-level
 application programming interface (API) and a lower-level I/O implementation 
 called a driver. Silo supports multiple I/O drivers, the two most common of 
 which are the HDF5 (Hierarchical Data Format 5) and PDB (Portable Data Base) 
 drivers. 

Package: libsiloh5-0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SILO Science I/O library from LLNL
 Silo is a library for reading and writing a wide variety of scientific data to
 binary, disk files.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
 constructive solid geometry (CSG) meshes, piecewise-constant
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
 defined on the node, edge, face or volume elements of meshes as well as
 the decomposition of meshes into arbitrary subset hierarchies including
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.

Package: libsilo-bin
Architecture: any
Multi-Arch: foreign
Depends: libsiloh5-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Utilities to manipulate libsilo files
 This package contains a number of utilities for manipulating and viewing
 Silo files. Silo is a scientific data format library.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
 constructive solid geometry (CSG) meshes, piecewise-constant
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
 defined on the node, edge, face or volume elements of meshes as well as
 the decomposition of meshes into arbitrary subset hierarchies including
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.

Package: python3-silo
Section: python
Architecture: any
Multi-Arch: same
X-Python-Version: all
Depends: python3, ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (=${binary:Version})
Provides: ${python3:Provides}
Description: Python3 interface to the SILO Scientific I/O library
 This is a Python3 interface to SILO, a scientific I/O library.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
 constructive solid geometry (CSG) meshes, piecewise-constant
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
 defined on the node, edge, face or volume elements of meshes as well as
 the decomposition of meshes into arbitrary subset hierarchies including
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.
